{*
 * Projecte Fressa a LINKAT
 * FUNCIONS WIN 32
 *
 * Author Jordi Lagares Roset "jlagares@xtec.cat - www.lagares.org"
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details (see the LICENSE file).
 *}

unit UnitFormCoeficientsRegressio;

{*******************************************************************************}
interface
{*******************************************************************************}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TFormCoeficients = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    GroupBox1: TGroupBox;
    Panel3: TPanel;
    GroupBox3: TGroupBox;
    GroupBox4: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    GroupBox2: TGroupBox;
    Label7: TLabel;
    Label8: TLabel;
    Label351: TLabel;
    Label353: TLabel;
    Label352: TLabel;
    Label354: TLabel;
    Label355: TLabel;
    Label356: TLabel;
    Label357: TLabel;
    Label358: TLabel;
    Label17: TLabel;
    Label359: TLabel;
    Label360: TLabel;
    Label363: TLabel;
    Label366: TLabel;
    Label369: TLabel;
    Label372: TLabel;
    Label361: TLabel;
    Label364: TLabel;
    Label367: TLabel;
    Label370: TLabel;
    Label373: TLabel;
    Label362: TLabel;
    Label365: TLabel;
    Label368: TLabel;
    Label371: TLabel;
    Label374: TLabel;
    BitBtnCopiar: TBitBtn;
    BitBtn2: TBitBtn;
    Image1: TImage;
    MemoClipboard: TMemo;
    procedure BitBtnCopiarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormCoeficients: TFormCoeficients;

{*******************************************************************************}
implementation
{*******************************************************************************}

uses UnitFormRegressioIntroduirValors;

{$R *.dfm}

procedure TFormCoeficients.BitBtnCopiarClick(Sender: TObject);
begin
  MemoClipboard.Clear;
  MemoClipboard.Lines.Append(Label1.Caption+#9+Label351.Caption);
  MemoClipboard.Lines.Append(Label2.Caption+#9+Label353.Caption);
  MemoClipboard.Lines.Append(Label3.Caption+#9+Label352.Caption);
  MemoClipboard.Lines.Append(Label4.Caption+#9+Label354.Caption);
  MemoClipboard.Lines.Append(Label4.Caption+#9+Label354.Caption);
  MemoClipboard.Lines.Append('');
  MemoClipboard.Lines.Append(GroupBox1.Caption+' '+Label5.Caption+#9+Label355.Caption);
  MemoClipboard.Lines.Append(GroupBox1.Caption+' '+Label6.Caption+#9+Label356.Caption);
  MemoClipboard.Lines.Append('');
  MemoClipboard.Lines.Append(GroupBox2.Caption+' '+Label5.Caption+#9+Label357.Caption);
  MemoClipboard.Lines.Append(GroupBox2.Caption+' '+Label6.Caption+#9+Label358.Caption);
  MemoClipboard.Lines.Append('');
  MemoClipboard.Lines.Append(Label17.Caption+' '+Label359.Caption);
  MemoClipboard.Lines.Append('');
  MemoClipboard.Lines.Append(#9+'Coef. Correl. (R) ;'+#9+'ERROR MEDIO');
  MemoClipboard.Lines.Append(Label360.Caption+#9+Label361.Caption+#9+Label362.Caption);
  MemoClipboard.Lines.Append(Label363.Caption+#9+Label364.Caption+#9+Label365.Caption);
  MemoClipboard.Lines.Append(Label366.Caption+#9+Label367.Caption+#9+Label368.Caption);
  MemoClipboard.Lines.Append(Label369.Caption+#9+Label370.Caption+#9+Label371.Caption);
  MemoClipboard.Lines.Append(Label372.Caption+#9+Label373.Caption+#9+Label374.Caption);
  MemoClipboard.SelectAll;
  MemoClipboard.CopyToClipboard;
  Close;
  FormNumericaRegressio.StringGridValorsNumerica.SetFocus;
end;

end.
